# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright 2011 Kontaxis Panagiotis
#    More info http://hospital.openmed.gr
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    'name': 'Hospital Security',
    'version': '0.2',
    'category': 'Tools',
    'description': """
    This module adds new security features to hospital.
	It adds an extra tab named "Access" to every patient record where you can add User Groups or Individual Users (Doctors) that have read/write access to this patient.
	In particular you can give:
		-Read Only Access to individual Users
		-Read/Write Access to individual Users
		-Read Only Access to User Groups
		-Read/Write Access to User Groups
	
	After installing this module, Users/Doctors will not be able to see all patients but only these patients that have explicit permissions. When a user creates a new patient it automatically grants read/write permissions to this new patient.
	The Tab "Access" that's used to control read/write access to patients is only accessible to users that have the new Role that the module adds named "Patient Security Manager"
	""",
    'author': 'Kontaxis Panagiotis',
    'website': 'http://hospital.openmed.gr',
    'depends': ['hospital'],
    'init_xml': [],
    'update_xml': [
        'security/hospital_security_security.xml',
        'hospital_security_view.xml',
		'security/patient_rules.xml',
    ],
    'demo_xml': [
    ],
    'test':[
    ],
    'installable': True,
    'certificate': '',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
