# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright 2011 Kontaxis Panagiotis
#    More info http://hospital.openmed.gr
#	
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields
from tools.translate import _

class hospital_patient_security(osv.osv):
	_name = "hospital.patient"
	_description = "Hospital Patient Security "
	_inherit = ['hospital.patient']
	_columns = {
		'user_read_ids': fields.many2many('res.users', 'hospital_patient_user_read_rel', 'patient_id', 'user_id', 'User Read IDs'), 
		'user_write_ids': fields.many2many('res.users', 'hospital_patient_user_write_rel', 'patient_id', 'user_id', 'User Write IDs'), 
		'group_read_ids': fields.many2many('res.groups', 'hospital_patient_group_read_rel', 'patient_id', 'group_id', 'Group Read IDs'), 
		'group_write_ids': fields.many2many('res.groups', 'hospital_patient_group_write_rel', 'patient_id', 'group_id', 'Group Write IDs'), 
	}
	_defaults = {
		'user_read_ids': lambda self,cr,uid,context: [uid,],
		'user_write_ids': lambda self,cr,uid,context: [uid,],
	}
hospital_patient_security()
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

